package require MODDBC
package provide MODDBC_mSQL 1.0

proc msql_initcmd {} {
  package require msqltcl
}

proc msql_destroycmd {} {
  package forget msqltcl
}

proc msql_connectcmd {db_name host port user password} {
  set handle [msqlconnect $host]
  msqluse $handle $db_name
  return $handle
}

proc msql_disconnectcmd {handle} {
  msqlclose $handle
}

proc msql_sqlcmd {handle cmd} {
  msqlsel $handle $cmd
}

proc msql_nextcmd {handle} {
  msqlnext $handle
}

proc msql_colnamecmd {handle} {
  msqlcol $handle -current name
}

proc msql_colsizecmd {handle} {
  msqlcol $handle -current length
}

proc msql_coltypecmd {handle} {
  msqlcol $handle -current type
}

db_register msql msql_initcmd msql_destroycmd msql_connectcmd \
            msql_disconnectcmd msql_sqlcmd msql_nextcmd msql_colnamecmd \
            msql_coltypecmd msql_colsizecmd
